Bug 1842748 (CVE-2020-10755)

Summary: CVE-2020-10755 openstack-cinder: Improper handling of ScaleIO backend credentials
Product: [Other] Security Response Reporter: Summer Long <slong>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: brian.rosmaita, cinder-bugs, dbecker, eharney, gcharot, jjoyce, jschluet, jwest, lhh, lpeer, mburns, rajini.karthik, sclewis, security-response-team, slinaber, srevivo
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: cinder 14.2.0, os-brick 2.8.6, cinder 15.3.0, os-brick 2.10.4, cinder 16.1.0, os-brick 3.0.2 Doc Type: If docs needed, set a value
Doc Text:
An insecure-credentials flaw was found in openstack-cinder. When using openstack-cinder with the Dell EMC ScaleIO or VxFlex OS backend storage driver, credentials for the entire backend are exposed in the ``connection_info`` element in all Block Storage v3 Attachments API calls containing that element. This flaw enables an end-user to create a volume, make an API call to show the attachment detail information, and retrieve a username and password that may be used to connect to another user's volume. Additionally, these credentials are valid for the ScaleIO or VxFlex OS Management API, should an attacker discover the Management API endpoint. Source: OpenStack project
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1842749, 1842751, 1844948, 1842750    
Bug Blocks: 1838916    

Description Summer Long 2020-06-02 03:33:38 UTC
Improper handling of ScaleIO backend credentials 
When using Cinder with the Dell EMC ScaleIO or VxFlex OS backend storage driver, credentials for the entire backend are exposed in the ``connection_info`` element in all Block Storage v3 Attachments API calls containing that element. This enables an end user to create a volume, make an API call to show the attachment detail information, and retrieve a username and password that may be used to connect to another user's volume. Additionally, these credentials are valid for the ScaleIO or VxFlex OS Management API, should an attacker discover the Management API endpoint. Source: OpenStack project

Upstream bug: https://bugs.launchpad.net/cinder/+bug/1823200

Comment 3 Summer Long 2020-06-03 23:14:32 UTC
Acknowledgments:

Name: David Hill (Red Hat), Eric Harney (Red Hat)

Comment 4 Summer Long 2020-06-04 23:10:02 UTC
External References:

https://wiki.openstack.org/wiki/OSSN/OSSN-0086

Comment 7 Summer Long 2020-06-08 05:53:08 UTC
Created openstack-cinder tracking bugs for this issue:

Affects: openstack-rdo [bug 1844948]

Comment 8 Summer Long 2020-06-08 05:56:57 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options do not meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 14 Luigi Toscano 2020-06-10 09:34:17 UTC
*** Bug 1845179 has been marked as a duplicate of this bug. ***

Comment 15 Summer Long 2020-06-15 02:18:18 UTC
Statement:

In addition to the software updates for this flaw, you must deploy a new configuration file on compute nodes, cinder nodes, and anywhere you would perform a volume attachment in your deployment.  For detailed information, refer to referenced article.

Comment 16 Rajini Karthik 2020-06-25 18:46:28 UTC
How about this patch that is related to python version?
https://review.opendev.org/#/c/735989

Comment 17 Brian Rosmaita 2020-06-30 12:36:56 UTC
@Rajini: I updated the Fixed In Version to reflect the versions containing the followup patch.  (Note: all os-brick versions have been released; Ussuri was not affected; train cinder has been released, but stein cinder (14.2.0) is held up by gate problems; will hopefully be released later this week.)